Bug 617939

Summary: inadyn.conf forward compatibility
Product: [Fedora] Fedora Reporter: Bryan Hoover <bhoover>
Component: inadyn-mtAssignee: Jochen Schmitt <jochen>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 14CC: jochen
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-24 09:15:29 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
inadyn-mt.spec inadyn.conf symlink none

Description Bryan Hoover 2010-07-25 06:26:47 UTC
Created attachment 434214 [details]
inadyn-mt.spec inadyn.conf symlink

Description of problem:

No symlink from inadyn-mt.conf to inadyn.conf.

Since version 02.18.26, config file moved from /etc/inadyn-mt/inadyn-mt.conf to
/etc/inadyn-mt.conf.  Previous Fedora RPMs symlinked from /etc/inadyn-mt/inadyn-mt.conf to /etc/inadyn.conf.

Version-Release number of selected component (if applicable):

rawhide, devel, inadyn-mt.spec r1.13.

How reproducible:

install inadyn-mt on a system with /etc/inadyn.conf present, and no /etc/inadyn-mt present.

Steps to Reproduce:
1. move any existing /etc/inadyn-mt.conf to a back up file

2. create /etc/inadyn.conf if it does not exist

3. install inadyn-mt
  
Actual results:

file /etc/inadyn-mt.conf configuration file containing a template configuration is installed.

no symbolic link from /etc/inadyn-mt.conf to /etc/inadyn.conf is installed

Expected results:

there should be a symbolic link, /etc/inadyn-mt.conf, pointing to /etc/inadyn.conf.

Additional info:

I've attached a patch to implement this behavior in the event /etc/inadyn.conf exists.  

A simple:

%pre
ln -sf /etc/inadyn.conf /etc/inadyn-mt.conf

would have been ideal, but in my testing, it appeared,

%config(norelace) /etc/inadyn-mt.conf 

did not honor symlinks, appearing thereby to overwrite any symlink created in %pre.  So my implementation was more complex.  Please allow it to serve as psudocode if there is a more obvious, simpler solution.

May require additional uninstall cleanup code.

Attached patch is against:
http://cvs.fedoraproject.org/viewvc/rpms/inadyn-mt/devel/inadyn-mt.spec r1.13.

*******Implementation*******

#on %pre, if exists, /etc/inadyn.conf, detect and remember 
#if no /etc/inadyn-mt.conf
#on %post, if can remember that from %pre, remove 
#install /etc/inadyn-mt.conf template configuration
#and symlink to /etc/inadyn.conf

%pre sysvinit
if [ -f /etc/inadyn.conf ]; then
  if [ ! -f /etc/inadyn-mt.conf ]; then
   ln -sf /etc/inadyn.conf /etc/inadyn-mt.conf.rpmlnk
  fi
fi

%post sysvinit
/sbin/chkconfig --add inadyn
if [ -f /etc/inadyn-mt.conf.rpmlnk ]; then
  rm /etc/inadyn-mt.conf
  mv /etc/inadyn-mt.conf.rpmlnk /etc/inadyn-mt.conf
fi

Comment 1 Bryan Hoover 2010-07-25 11:56:41 UTC
*** Bug 617937 has been marked as a duplicate of this bug. ***

Comment 2 Bug Zapper 2010-07-30 12:49:21 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping